using System;
using System.Reflection;
using System.IO;

namespace Erstell__und_Zugriffsdaten
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
          Console.Title = "Nastavení data vytvoření a změny souboru";

         string applicationPath = Path.GetDirectoryName(
            Assembly.GetEntryAssembly().Location);
         string filename = Path.Combine(applicationPath, "Demo.txt");

         // Zjištění dat vytvoření a poslední změny
         FileInfo fi = new FileInfo(filename);
         Console.WriteLine("Datum vytvoření: " + fi.CreationTime);
         Console.WriteLine("Datum posledního přístupu: " + fi.LastAccessTime);
         Console.WriteLine("Datum poslední změny: " + fi.LastWriteTime);

         // Změna data vytvoření
         fi.CreationTime = new DateTime(2006, 1, 1);

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
